GroovyRowResult (Groovy 5.0.6)

Package: groovy.sql

## [Java] Class GroovyRowResult

- groovy.sql.GroovyRowResult

- All Implemented Interfaces and Traits:
    Map

      public class GroovyRowResult
      extends GroovyObjectSupport
      implements Map

  Represents an extent of objects. It's primarily used by methods of Groovy's Sql class to return `ResultSet` data in map form; allowing access to the result of a SQL query by the name of the column, or by the column number.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyRowResult(Map<String, Object> result)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public boolean` | `containsKey(Object key)` Checks if the result contains (ignoring case) the given key.
    `` | `public boolean` | `containsValue(Object value)`
    `` | `public Set<Map.Entry<String, Object>>` | `entrySet()`
    `` | `public boolean` | `equals(Object o)`
    `` | `public Object` | `get(Object property)` Find the property value for the given name (ignoring case).
    `` | `public Object` | `getAt(int index)` Retrieve the value of the property by its index.
    `` | `public Object` | `getProperty(String property)` Retrieve the value of the property by its (case-insensitive) name.
    `` | `public int` | `hashCode()`
    `` | `public boolean` | `isEmpty()`
    `` | `public Set<String>` | `keySet()`
    `` | `public Object` | `put(String key, Object value)` Associates the specified value with the specified property name in this result.
    `` | `public void` | `putAll(Map<? extends String, ?> t)` Copies all of the mappings from the specified map to this result.
    `` | `public Object` | `remove(Object rawKey)`
    `` | `public int` | `size()`
    `` | `public String` | `toString()`
    `` | `public Collection<Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public GroovyRowResult(Map<String, Object> result)

  - ### Method Detail

    - #### @Override
      public void clear()

    - #### @Override
      public boolean containsKey(Object key)

      Checks if the result contains (ignoring case) the given key.

      Parameters:
        `key` - the property name to look for
      Returns:
        true if the result contains this property name

    - #### @Override
      public boolean containsValue(Object value)

    - #### @Override
      public Set<Map.Entry<String, Object>> entrySet()

    - #### @Override
      public boolean equals(Object o)

    - #### @Override
      public Object get(Object property)

      Find the property value for the given name (ignoring case).

      Parameters:
        `property` - the name of the property to get
      Returns:
        the property value

    - #### public Object getAt(int index)

      Retrieve the value of the property by its index. A negative index will count backwards from the last column.

      Parameters:
        `index` - is the number of the column to look at
      Returns:
        the value of the property

    - #### @Override
      public Object getProperty(String property)

      Retrieve the value of the property by its (case-insensitive) name.

      Parameters:
        `property` - is the name of the property to look at
      Returns:
        the value of the property

    - #### @Override
      public int hashCode()

    - #### @Override
      public boolean isEmpty()

    - #### @Override
      public Set<String> keySet()

    - #### @Override
      public Object put(String key, Object value)

      Associates the specified value with the specified property name in this result.

      Parameters:
        `key` - the property name for the result
        `value` - the property value for the result
      Returns:
        the previous value associated with `key`, or `null` if there was no mapping for `key`. (A `null` return can also indicate that the map previously associated `null` with `key`.)

    - #### @Override
      public void putAll(Map<? extends String, ?> t)

      Copies all of the mappings from the specified map to this result. If the map contains different case versions of the same (case-insensitive) key only the last (according to the natural ordering of the supplied map) will remain after the `putAll` method has returned.

      Parameters:
        `t` - the mappings to store in this result

    - #### @Override
      public Object remove(Object rawKey)

    - #### @Override
      public int size()

    - #### @Override
      public String toString()

    - #### @Override
      public Collection<Object> values()